var fs = require('fs');
var postcss = require('postcss');
var sprites = require('postcss-sprites');

var css = fs.readFileSync('./css/style.css', 'utf8');
var opts = {
  stylesheetPath: './dist',
  spritePath: './dist/images/'
};

postcss([sprites(opts)])
  .process(css, {
    from: './css/style.css',
    to: './dist/style.css'
  })
  .then(function (result) {
    fs.writeFileSync('./dist/style.css', result.css);
  });